﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MySilverlightProject2 {
    
    public partial class Page : Canvas {

        //list of images
        string[] _images = new string[] {"Autumn Leaves.jpg", "Creek.jpg", 
            "Desert Landscape.jpg", "Dock.jpg", "Forest Flowers.jpg", "Forest.jpg" };
        
        //used to track currently selected image
        int _selectedIndex = 0;

        public void Page_Loaded(object o, EventArgs e) {
            // Required to initialize variables
            InitializeComponent();

            //set start image
            SetUri();
                        
        }

        void Previous_MouseLeftButtonDown(object sender, MouseEventArgs e) {
            
            //check previous value
            if (_selectedIndex -1 >= 0) {
                _selectedIndex = _selectedIndex - 1;
            }
            //move to the previous image in the list            
            SetUri();

        }

        void Next_MouseLeftButtonDown(object sender, MouseEventArgs e) {
            //check next value
            if (_selectedIndex + 1 < _images.GetLength(0)) {
                _selectedIndex = _selectedIndex + 1;
            }
            //move to the next image in the list
            SetUri();

        }

        private void SetUri() {
            Uri u = new Uri("images/" + _images[_selectedIndex], UriKind.Relative);
            SlideImage.Source = u;        
        }


    }
}
